Subject: Re: rfc: treewide scripted patch mechanism? (was: Re: [PATCH] Makefile: Convert -Wimplicit-fallthrough=3 to just -Wimplicit-fallthrough for clang)QUILT

From: Stephen Rothwell <[email-masked]>
Date: Tue, 20 Aug 2019 09:24:51 +1000

Hi Joe,

Sorry for the slow response.

On Fri, 16 Aug 2019 12:58:27 -0700 Joe Perches <[email-masked]> wrote:
>
> On Sat, 2019-08-10 at 13:33 -0700, Joe Perches wrote:
> > On Sat, 2019-08-10 at 13:18 -0700, Joe Perches wrote:  
> []
> > > There are classes of patches generated by scripts that have
> > > no real mechanism to be applied today.
> > > 
> > > For instance: global coccinelle scripted changes to use stracpy
> > > https://lore.kernel.org/lkml/alpine.DEB.2.21.1907251747560.2494@hadrien/
> > > 
> > > and trivial scripted changes to MAINTAINERS
> > > https://lore.kernel.org/lkml/[email-masked]/
> > > 
> > > that are basically impossible to be applied by anyone but you.
> > > 
> > > Otherwise there are hundreds of little micro patches most of
> > > which would not otherwise be applied.
> > > 
> > > There should be some process available to get these treewide
> > > or difficult to keep up-to-date and apply patches handled.
> > > 
> > > I believe these sorts of scripted patches should ideally
> > > be handled immediately before an RC1 so other trees can be 
> > > synchronized in the simplest way possible.  
> > 
> > Hey Stephen
> > 
> > Question for you about a possible -next process change.
> > 
> > Would it be reasonable to have some mechanism to script
> > treewide patches to generate and apply after Andrew Morton's
> > mmotm patches are applied to -next?

I don't see why not (its all just software, right? :-)).  I would have
to refresh my understanding of how Andrew constructs his mmot{s,m} quilt
series, but I should be able to sort that out.  The only other issue is
the time it takes to apply these changes and test them.  The total time
it takes to construct linux-next each day increases towards the opening
of the merge window (we are currently at -rc5 and I am already taking
about 12 hours each day).

> > This could allow treewide scripted patches to have
> > compilation and test coverage before possibly being
> > applied to Linus' tree.

Always a good thing :-)

So, do we have a pending example, or can you give my some idea of what
they would look like?

-- 
Cheers,
Stephen Rothwell